/// <reference types="node" />
import https from "https";
import { EnvironmentType } from "./types/global";
import { OptionalPreloadRequestInterface } from "./types/preload/request";
import PreloadResponseInterface from "./types/preload/response";
import ReceiptResponseInterface from "./types/receipt/response";
export default class MonerisCheckout {
    private storeID;
    private apiToken;
    private checkoutID;
    private environment;
    private requestOption;
    constructor(storeID: string, apiToken: string, checkoutID: string, environment?: EnvironmentType);
    preload(totalPrice: number, optionalData?: OptionalPreloadRequestInterface): Promise<PreloadResponseInterface>;
    receipt(ticket: string): Promise<ReceiptResponseInterface>;
    sendRequest(option: https.RequestOptions, data: any): Promise<any>;
}
