"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
require("mocha");
const moneris_checkout_1 = __importDefault(require("../moneris-checkout"));
const global_1 = require("../types/global");
describe("MonerisCheckout", () => {
    const moneris = new moneris_checkout_1.default("moneris", "hurgle", "chkt5BF66neris", global_1.EnvironmentType.TEST);
    describe("preload", () => {
        it("should return response from endpoint", function () {
            return __awaiter(this, void 0, void 0, function* () {
                const resp = yield moneris.preload(4.99);
                chai_1.expect(resp).to.not.be.empty;
                chai_1.expect(resp.response).to.not.be.empty;
                chai_1.expect(resp.response.success).to.be.a("string", global_1.BooleanType.TRUE);
                chai_1.expect(resp.response.ticket).to.not.be.empty;
            });
        });
    });
    describe("receipt", () => {
        it("should return response from endpoint", function () {
            return __awaiter(this, void 0, void 0, function* () {
                const preload = yield moneris.preload(4.99);
                const ticket = preload.response.ticket;
                const receipt = yield moneris.receipt(ticket);
                chai_1.expect(receipt).to.not.be.empty;
                chai_1.expect(receipt.response).to.not.be.empty;
                chai_1.expect(receipt.response.success).to.be.a("string");
            });
        });
    });
});
//# sourceMappingURL=moneris-checkout.spec.js.map